XPP_SYNC(8)

NAME
xpp_sync - Handle sync selection of Xorcom Astribanks.

SYNOPSIS
xpp_sync <auto|dahdi|nn>

xpp_sync [-v]

DESCRIPTION
On a normal operation one Astribank device provides timing for all the other Astribank devices.

When run without parameters, xpp_sync will display a list of Astribanks (xbuses) that are connected and registered as Dahdi spans. The current xpp sync master will be marked.

If you this an Astribank is connected and yet it does not appear on the output of xpp_sync, it may be unregistered. Try running dahdi_registration .

  Parameters

auto
    Automatically selects the best Astribank for syncing.

dahdi
    Gets synchronization from the Dahdi sync master.

nn  Sets XBUS-nn as sync source.

-v  Also print the numeric xpp sync rank.

(Parameter name is case-insensitive)

  Example output:
        Setting SYNC
        Current sync: 01
        Best Available Syncers:
         + XBUS-01 (usb-0000:00:10.4-3) [usb:12345678]       [ PRI_TE PRI_NT PRI_TE PRI_NT ]
           XBUS-00 (usb-0000:00:10.4-2) [usb:QA-01]          [ FXS FXO ]
        ==================================================
        WARNING: FXO which is not the syncer cause bad PCM
                 Affected Astribanks are:
        --------------------------------------------------
                XBUS-00
        ==================================================

In this example we see that the recommended xpp sync master is XBUS-02 - it is the first on the list. It is also the actual syncer, as we can see from the '+' beside it.

xpp_sync is normally called from the dahdi init.d script. The parameter it is called with defaults to auto, but it is possible to override that parameter (e.g: set it to dahdi) through the value of XPP_SYNC in /etc/dahdi/init.conf .

FILES

/sys/bus/astribanks/drivers/xppdrv/sync
    xpp_sync is essentially a nicer interface to "/sys/bus/astribanks/drivers/xppdrv/sync". That file shows the current xpp sync master.

    Writing to it, force XPP drivers to use a different sync master

SEE ALSO
dahdi_registration(1), dahdi_cfg(1), README.Astribank